### Class

# Meta Context

#### Description

    final class Meta.Context : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### meta_context_add_option_entries

See `g_option_context_add_main_entries()` for more details.

###### meta_context_add_option_group

See `g_option_context_add_group()` for more details.

###### meta_context_configure

No description available.

###### meta_context_destroy

No description available.

###### meta_context_get_backend

No description available.

###### meta_context_get_compositor_type

No description available.

###### meta_context_get_display

No description available.

###### meta_context_get_wayland_compositor

Get the `MetaWaylandCompositor` associated with the MetaContext. The might be none currently associated if the context hasn’t been started or if the requested compositor type is not `META_COMPOSITOR_TYPE_WAYLAND`.

###### meta_context_is_replacing

No description available.

###### meta_context_notify_ready

No description available.

###### meta_context_raise_rlimit_nofile

Raises the RLIMIT_NOFILE limit value to the hard limit.

###### meta_context_restore_rlimit_nofile

Restores the RLIMIT_NOFILE limits from when the `MetaContext` was created.

###### meta_context_run_main_loop

No description available.

###### meta_context_set_gnome_wm_keybindings

No description available.

###### meta_context_set_plugin_gtype

No description available.

###### meta_context_set_plugin_name

No description available.

###### meta_context_setup

No description available.

###### meta_context_start

No description available.

###### meta_context_terminate

No description available.

###### meta_context_terminate_with_error

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Meta.Context:name

No description available.

###### Meta.Context:unsafe-mode

No description available.

#### Signals

###### Meta.Context::prepare-shutdown

No description available.

###### Meta.Context::started

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct MetaContextClass {
      /* no available fields */
    }

No description available.